Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740130 - dev-python/slixmpp-1.5.2 fails tests
Summary: dev-python/slixmpp-1.5.2 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andriy Utkin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-03 05:56 UTC by Agostino Sarubbo
Modified: 2020-12-14 13:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,175.29 KB, text/plain)
2020-09-03 05:56 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-03 05:56:44 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/slixmpp-1.5.2 fails tests.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-03 05:56:47 UTC
Created attachment 657996 [details]
build.log

build log and emerge --info
Comment 2 Andriy Utkin gentoo-dev 2020-10-28 07:29:10 UTC
I can reproduce this myself.

Reported upstream:
https://lab.louiz.org/poezio/slixmpp/-/issues/3458

Have added a live ebuild 9999 to facilitate troubleshooting.
Comment 3 Andriy Utkin gentoo-dev 2020-12-14 11:53:43 UTC
Repeated the test run on git master HEAD, now that error is gone, but I get `AttributeError: 'TestConnect' object has no attribute 'addAsyncCleanup'` and lots of similar failures.
Comment 4 Andriy Utkin gentoo-dev 2020-12-14 12:45:15 UTC
Thanks to mathieui, I realised that I have to change how Gentoo Portage invokes the test suite: it should invoke ./run_tests.py
Comment 5 Andriy Utkin gentoo-dev 2020-12-14 13:03:54 UTC
Fixed in commit 7ebb9f5de8c1784e402047cf49a061e8ce7ce500.